## libpurple-twitter-protocol 0.1.3-1maemo1

=== Makefile ===
#
# Microblog protocol plug-in
#

all: build 

include global.mak

SUBDIRS = data

TARGETS = libpurple-twitter-protocol$(PLUGIN_SUFFIX)

LD = $(CC)

ifeq ($(strip $(IS_WIN32)), 1)
TWITTER_INC_PATHS += -I$(GTK_TOP)/include/gtk-2.0 \
			-I$(GTK_TOP)/include/pango-1.0 \
			-I$(GTK_TOP)/include/atk-1.0 \
			-I$(GTK_TOP)/include/cairo \
			-I$(GTK_TOP)/lib/gtk-2.0/include \
			-I$(PIDGIN_TOP)/win32


LIB_PATHS += -L$(GTK_TOP)/lib \
			-L$(PURPLE_TOP) \
			-L$(PIDGIN_TOP)
			
LIBS =	-lgtk-win32-2.0 \
			-lglib-2.0 \
			-lgdk-win32-2.0 \
			-lgobject-2.0 \
			-lintl \
			-lpurple \
			-lpidgin
CFLAGS := $(PURPLE_CFLAGS) $(TWITTER_INC_PATHS)
else
CFLAGS := $(PURPLE_CFLAGS) $(PIDGIN_CFLAGS)
LIB_PATHS = 
LIBS = $(PIDGIN_LIBS)
endif

TWITTER_C_SRC = twitter.c twitter_request.c twitter_api.c twitter_search.c twitter_util.c
TWITTER_H_SRC = $(TWITTER_C_SRC:%.c=%.h) config.h
TWITTER_OBJ = $(TWITTER_C_SRC:%.c=%.o)

DISTFILES = $(TWITTER_C_SRC) $(TWITTER_H_SRC) Makefile global.mak version.mak

OBJECTS = $(TWITTER_OBJ)

.PHONY: clean install build

build: $(TARGETS)

install: $(TARGETS)
	rm -f $(PURPLE_PLUGIN_DIR)/libpurple-twitter-protocol$(PLUGIN_SUFFIX)
	install -m 0755 -d $(PURPLE_PLUGIN_DIR)
	cp libpurple-twitter-protocol$(PLUGIN_SUFFIX) $(PURPLE_PLUGIN_DIR)/libpurple-twitter-protocol$(PLUGIN_SUFFIX)
	for dir in $(SUBDIRS); do \
		make -C "$$dir" $@ || exit 1; \
	done

uninstall: 
	rm -f $(PURPLE_PLUGIN_DIR)/libpurple-twitter-protocol$(PLUGIN_SUFFIX)
	for dir in $(SUBDIRS); do \
		make -C "$$dir" $@ || exit 1; \
	done

clean:
	rm -f $(TARGETS) $(OBJECTS)

libpurple-twitter-protocol$(PLUGIN_SUFFIX): $(TWITTER_OBJ)
	$(LD) $(LDFLAGS) -shared $(TWITTER_OBJ) $(LIB_PATHS) $(LIBS) $(DLL_LD_FLAGS) -o libpurple-twitter-protocol$(PLUGIN_SUFFIX)

=== debian/changelog ===
libpurple-twitter-protocol (0.1.3-1maemo1) unstable; urgency=low

  * Start packaging

 -- Tan Miaoqing <mitan@tan-nokia.research.nokia.com>  Mon, 21 Dec 2009 01:12:12 +0200

=== debian/control ===
Source: libpurple-twitter-protocol
Priority: optional
Section: user/network
Maintainer: Tan Miaoqing <rabbitrun84@gmail.com>
Build-Depends: debhelper (>= 5), cdbs, pkg-config, libpurple-dev, pidgin-dev, libjson-glib-dev
Standards-Version: 3.8.0

Package: libpurple-twitter-protocol
Section: user/network
Architecture: any
Depends: libpurple0, libjson-glib-1.0-0, account-plugin-haze, ${shlibs:Depends}, ${misc:Depends}
Description: This plugin tightly integrates Twitter to Maemo Contacts and Conversations
 It imports your Twitter friends and saved search queries to Contacts, and receives 
 mentions/replies, DMs and Twitter search results as conversation threads. In addition, 
 you can send replies or DMs to any Twitter friend straight from Contacts, simply by 
 tapping on their Twitter IDs.
 .
 This plugin is based on libpurple-twitter-protocol by neaveru (http://code.google.com/u/neaveru).
 You can find more information at my Twitter @rabbitrun84
XB-Maemo-Display-Name: Twitter plugin for Contacts and Conversations
XB-Maemo-Icon-26: 
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c6QAAAAZiS0dEAP8A
 /wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9gIBg4jHIeUJtsAAAwrSURBVGje
 tZpLjyTHccd/kZVV/Zydx+5a3AfNl0hZ5MEiCBmwLcEwLEEnw3cDPvngi7+Hv4C+gI82fBJgGpIN
 QQBhQwJFijJMw7BorkiudpfD2Xn2q7oyM3TIrOrsnpndWdnuQW93V1ZXR2T8I/7/iFr5qx8/UgA0
 IKqoa5DgECkwZQ8tDEYFhEsfT1i68kOfcFDVo82S4D1aFEhRokZADDadEU/2LhpT9AgIioAKARC9
 3Or/FweyAyoGjEWMQUJAgwMsGMWiAYKCq+OXigqqHtcrg0nGtQGQ+GnN6v8L49sLqa47oN1bQbXk
 aBnQpga3hODBVlicA+8gBLQaYMqSaxa+cs3iArhLdr6NiMj/ElO68baFTbtXAoVAJcJ/niw5oQci
 SLMA12DFLSOCihKxJWMrfHWn4qD2PJp7zpoQIXSRcXrebjGSLUobw+xV1y+y6cDav2AQxtbw3KDg
 q9sl/3G85JQSQgBXY7WpUdsnVH12Snh9p+TBzPHJ1HVGGbnYdr/hgwEKcrjlpujaDuhluaSbfimn
 znN64lmMLW/sVHx4vOSYHuIbbMDggBuV4fXtise1596kiReTVViFmAhBFacwKIQXR5a7w5JRaThe
 ej6bNTyYeZYKpUjn+OWo0SfDqYOVogK/nDRUBt7YLvnwtOHxTLChqlCJxagOysOpI6CYbA+jL8rC
 Q2mEr1/v8e3nhjw/tBhDV8hcUD6aNLz9YMpHZw1GBWsuKZFcjP3zxzN3BR7OPNtlgaAEY7DBlKlc
 BpwGjhuPCCiavht3cuaVQSF85/aQb98aMrJmPVclOvfGdo+7w5J/+PSMnz6uWQalNHKpE2uVZ+Ms
 1Y0jqhw3nqZdMAVWgdCml4JTxZITV4RMAP7oS0P+5LkhYxu3PQAnHpYKQwNbJubLbmX4s7tjZk75
 4KimMBv5c0nR10sioqmmRlu1c0wBm39onemIK/kxd8orWyVv7vW4VkbjZwEe+eicQTgJymOBO1Yo
 BX6rX/DW9R6/mjv2a88gi4I+KS/0/Lpmia0qmb2KUdUIF0C19S79pTWP8sZOj9uDmCsLhS88LAMM
 BAai9AQmAfaddtzx6lbF8yOL0/YXVvnUPslXNozvbFp7n/+BVVkt5vW7rdY+RGzfGVq2st2fBGWY
 IhRSCa0EjgLsKtgEpe3SUHuN5fiS+lMIFJIXDU15qRlzaLfSWaqKVVVUhFUuKKqSEjkeKwR6ZvUD
 TiMHOKAOiTWTEy7xA0THd6uCL/ULrMgaa7dGeFVqryx8PGKl5R1dg3YuKyRbs1magK6caNOu3d3N
 0HqFOseorhzOien17YqBlU5XscHTywBHS88vpw2fTh0TFyIhyvnfzCtTC3erbbha1s+CBbLmfX6x
 RjNj0wnhgnNfGZe8Mi6fKokOl55//WLOO1/MeTB3sXxnkMkrl2oSYQL2bNmAKfChSuVKQSS+XFI1
 Wgf8hsxuo8VG2J/2MMBeVfCnd8bcHlj+/tMJn0wbBoWcMz7JAlxQpo3D3js9I4gBUW72xpw2ji1r
 sYWQDl8qLoOeh4UCBw6m8nRV2mJ4q4BeAsFbe31mXvnbeyfMnVIZSVJbcUGZNA1ny4L7kyn3TqZY
 I4JTZeocB/Oaj0/PGFvLsLT0bUFpDANbZFXqyZ1ZAO47xQClQNVVmZXRTiP5LTW+Hxp4uRL2iniN
 17ZK3tzp8/bDCT2jLJxn4TzzxjF1jheHhmnj8Wh0wCBYYzBGEIRlUJq64aRuCEBlDRO33Rnq04+b
 FH7Z6DhNdl4tCWYbGG6VrBE4DfDRUnmtEnYLuNmzvDAyPJrOUA0rKCdpU0h8GhGsSDRaiI60izGv
 Yy32Qddw6BSmPhpuNlSxXBCWzU5gTeNIdHTq4UYBO0V06mY/8s5RHegVJgpMhZBKvAitAyTz2+u1
 J8TXoOdLYEBpVJ+YH8/aDzcaOSWoJN6BfiFI2mlRUNHOLkmkYllVz7hg4hdIJxmNX8pZqMXxZXn6
 TE5JNN4o9LNcmTtl7qEw0hmLsjI+vdp291vP0oe1KJiNxjcouNRnmgtsalSvXEKDRnb9cg+uJ1pd
 +MDH04bjJjAsTNq71s74znQ5gKyFxUgbtrZpT+ubDiQgm82tV2FoVjt5lcp1w8JrfeFa+tL9WcO/
 HcximTWGoCEKCKOISteySpIeK8PbZJZVQx0yvOVVpFWcZsOxAu2M0SuAv5DoQD/96MwHfrQ/4+fH
 C0ZlEbkorDLUiK4hxLbw7sxPOGrDFnNgHdghtY8t3XflNZ1zpxJ2i2dP79Mm8I8PzvjegzMWAbas
 wati8t68TceEDLtWg2R1wia0chAFlCaAiJ6LgEkKleLqOTD1gXuThu8/mvAvn085Wnq2S5OuJ0nt
 xg2TNGAwyT7bYXzDWEmyVpGN9j6ybVuFNh0QWVekT3vUQXn/qObvPjvl/cM5AmyVRZKY2ZSry0nN
 Sj25AwkySGLk5IxeUIUAl/RzvtFe12c7V3n0jfCH1/u8Oi75p0dT3n404dHcxRZUMgrUSOmS6H+V
 r9ncs539dMazik4+49FURn2Ir+2z/Vw+A/xFwBrh9sDyly9t89df3uWFUcnUh6yUJ2HZFZrIVyLE
 HKCLgq7DKHUyJjHg+SReh5CmjumDaWDXPj0SARga4aWBYZQu9Mc3h0yawHc/OmIRlCrrFleAlk41
 WJMLsSTsWuPbkuoTVttHKatSajd226vyk1N/ZTZWYK8UvrVT8Oogzpp+d6fPH9wYRjVaSqqGKY1T
 A9LmQaxCbQLnlYiuTDH1gcPaM0/DrZGBUSE8WgYGRs7tdHimNFA+mSs/Svnw2z3h9qDgrd0+P9yf
 RS0m2aAhI9YuB8h5gJXOiINdIajwi0nD42Vs16+X8YdmPu6423gGTSOZqzyTpP54Hvh0ESL7SsyJ
 napIhUHWuaod60eZsyqba7vfMZ9QFYb/Olvy+SJOrHes8DtDw56FY6fdhMLpb/BMNXcalDOvNCl0
 PSP0i2wzZVU6yXoQ03mTMXGm6YA4ib6/8Pz8ZMksjT9e6hu+uV1QCRw3cSyyisLVHfAKM6cUCONC
 qKQVdEodkhrNNrN1BjaYWPJ7ACa7+xLJgoVT3jmY89q45Bs3BgwM/P41S6Pw4xPPQaPMNc+Cq+tp
 p/DmWHixH41YBuX+3HHqAr3EBaIdF5NjyOZd06o4pdKa/W2Vwr2Z4wf7c24PSl4eWYYFfGfP8lwl
 fHAWeLAMzH3cWb0yDwi3KuFbe5Y7Vdy5hwvPe8c1LsDQxpuM7T2CHEJxczcmx7nhuTYyEjH5k6Ml
 VTHhL54f8/zAYgS+Ni742rjg4TJw0CiLcNEE+uLR+qCAlweGcRJ/LsB7xzU/O10ytCapgUjxorK6
 ldWSYO5N1BZ5kqyioQg9E7undx4vOGqUP7874vWtktIIVuBWZbhV/eatpVP44cGC7z2cM3cwTmpU
 ulltVKa5crCl96iJ0skaw25lOXF+5UQGOU0z0oDw4VnD3/zilG9e7/ON6z2+MiqozPnm5ypEZoDP
 a8/39xf84Is5h7VnqzQE1QzW8dyd0mBNHBMXwWNHywlSDlCEvon3vf79OGQSep042jZyVERs/vPB
 gneOau72Lbf7BTeqgpGNMvhCT3T9dsbCK49qz39PGvbreHt93Bkv+awagBdGln4RhV7pG+z2co6Y
 kv1l4N3DOV+/3ufVayX/M3GorO5QtnoJlYxEiEwswq8Wns9qv9ZHdH0sq7usa3N+Xc3/RdMUTvMb
 saveOii8PCy5NbC8d1iz3wR2QoMdFgXB1UxnZzwebfHu0YLf2xvQLwz3555TF5KggyBgWo2kGW9o
 FILFmjBkLWps3i3WeL01c5MzPmNqUEaF4e644Ha/4N3DBYeNUs2nDJsaq/0Rw3rOjdkh+1XFkQx4
 /6jmrb0+N3qWoFk12tQinczebIhY6/Ly/6GwGpEnA7P3+eg8dCP7CKu+Mfz0eMGxA+MbdiePGaBY
 BiPEGMaTYzh6yNHWTQ7MDj87cdhE1cbQsV8+tWiHAWSNRbfOqnftWGgDQiFZHDJdFELmTHuLSxVP
 4NAJdnHGteN9Ruowo20sVR81BSZ4tqZn2NPPmddnnJYDXG8AtkwOmPWxSwqLSUndDsRaWJm805MM
 ImvPaPyaA9l6SE7QLDH1nGvNnH49o6cBM9yC4Ra/Bmgxi969PKUIAAAAAElFTkSuQmCC

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_MAKE_CLEAN_TARGET := clean
DEB_MAKE_BUILD_TARGET := build
DEB_MAKE_INSTALL_TARGET := install DESTDIR=$(CURDIR)/debian/libpurple-twitter-protocol/
DEB_MAKE_CHECK_TARGET :=
DEB_MAKE_INVOKE := $(MAKE)

## libpurple-twitter-protocol 0.2.0-1maemo2

=== Makefile ===
--- 
+++ 
@@ -3,6 +3,8 @@
 #
 
 all: build 
+
+IS_PIDGIN = $(shell pkg-config --atleast-version=2.0 pidgin && echo 1 || echo 0)
 
 include global.mak
 
@@ -39,7 +41,6 @@
 LIBS = $(PIDGIN_LIBS)
 endif
 
-TWITTER_C_SRC = twitter.c twitter_request.c twitter_api.c twitter_search.c twitter_util.c
 TWITTER_H_SRC = $(TWITTER_C_SRC:%.c=%.h) config.h
 TWITTER_OBJ = $(TWITTER_C_SRC:%.c=%.o)
 
@@ -50,6 +51,8 @@
 .PHONY: clean install build
 
 build: $(TARGETS)
+
+test: test.c
 
 install: $(TARGETS)
 	rm -f $(PURPLE_PLUGIN_DIR)/libpurple-twitter-protocol$(PLUGIN_SUFFIX)

=== data/Makefile ===
all: build

ICON = im-twitter.png
ICON_DIR = /usr/share/icons/hicolor/48x48/hildon

PROFILE = twitter.profile
PROFILE_DIR = /usr/share/osso-rtcom

build clean:
	
install :
	install -d $(ICON_DIR)
	for icon in $(ICON); do \
		install -m 0644 $$icon $(ICON_DIR)/$$icon; \
	done
	install -d $(PROFILE_DIR)
	for profile in $(PROFILE); do \
		install -m 0644 $$profile $(PROFILE_DIR)/$$profile; \
	done

uninstall :
	for icon in $(ICON); do \
		rm -f $(ICON_DIR)/$$icon; \
	done
	for profile in $(PROFILE); do \
		rm -f $(PROFILE_DIR)/$$profile; \
	done
	
DISTFILES = $(ICON) $(PROFILE) Makefile

=== debian/changelog ===
libpurple-twitter-protocol (0.2.0-1maemo2) unstable; urgency=low

  * Remove dependency to pidgin-dev

 -- Tan Miaoqing <rabbitrun84@gmail.com>  Sun, 21 Feb 2010 19:38:36 +0200

libpurple-twitter-protocol (0.2.0-1maemo1) unstable; urgency=low

  * Home timeline support
  * Fixed sign in issue
  * Added an option to not retrieve friend list

 -- Tan Miaoqing <mitan@tan-nokia.research.nokia.com>  Sun, 21 Feb 2010 19:19:01 +0200

=== debian/control ===
--- 
+++ 
@@ -2,21 +2,20 @@
 Priority: optional
 Section: user/network
 Maintainer: Tan Miaoqing <rabbitrun84@gmail.com>
-Build-Depends: debhelper (>= 5), cdbs, pkg-config, libpurple-dev, pidgin-dev, libjson-glib-dev
+Build-Depends: debhelper (>= 5), cdbs, pkg-config, libpurple-dev
 Standards-Version: 3.8.0
 
 Package: libpurple-twitter-protocol
 Section: user/network
 Architecture: any
-Depends: libpurple0, libjson-glib-1.0-0, account-plugin-haze, ${shlibs:Depends}, ${misc:Depends}
+Depends: libpurple0, account-plugin-haze, ${shlibs:Depends}, ${misc:Depends}
 Description: This plugin tightly integrates Twitter to Maemo Contacts and Conversations
- It imports your Twitter friends and saved search queries to Contacts, and receives 
- mentions/replies, DMs and Twitter search results as conversation threads. In addition, 
- you can send replies or DMs to any Twitter friend straight from Contacts, simply by 
- tapping on their Twitter IDs.
+ It imports your Twitter friends, home timeline and saved search queries to Contacts, 
+ and receives mentions/replies, timeline tweets and Twitter search results as conversation 
+ threads. In addition, you can send replies or DMs to any Twitter friend straight from 
+ Contacts, simply by tapping on their Twitter IDs.
  .
- This plugin is based on libpurple-twitter-protocol by neaveru (http://code.google.com/u/neaveru).
- You can find more information at my Twitter @rabbitrun84
+ This plugin is written by @neaveru. @rabbitrun84 is the Maemo version maintainer.
 XB-Maemo-Display-Name: Twitter plugin for Contacts and Conversations
 XB-Maemo-Icon-26: 
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c6QAAAAZiS0dEAP8A

=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,4 @@
 DEB_MAKE_BUILD_TARGET := build
 DEB_MAKE_INSTALL_TARGET := install DESTDIR=$(CURDIR)/debian/libpurple-twitter-protocol/
 DEB_MAKE_CHECK_TARGET :=
-DEB_MAKE_INVOKE := $(MAKE)
+DEB_MAKE_INVOKE := $(MAKE) -f Makefile.telepathy
